> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# コードスキャンの検出結果一覧

> Enterpriseのコードスキャンの検出結果一覧

<div id="permissions">
  ## 権限
</div>

Enterprise レベルの `ViewAccountCodeScans` 権限を持つサービスユーザーが必要です。


## OpenAPI

````yaml ja/v3-openapi.yaml GET /v3/enterprise/code-scans/findings
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/code-scans/findings:
    get:
      tags:
        - code-scans
      summary: コードスキャンの検出結果を一覧表示
      description: |-
        Enterprise アカウントのコードスキャンの検出結果を一覧表示します。

        検出結果は新しいものから順に返されます。必要に応じて ``org_ids``、
        ``scan_id``、``repo_name``、``severity``、``status`` で絞り込めます（``severity`` と
        ``status`` は複数の値を受け付けます）。結果は不透明な
        カーソル（``after`` / ``first``）でページ分割されます。
      operationId: handle_list_code_scan_findings_v3_enterprise_code_scans_findings_get
      parameters:
        - in: query
          name: after
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: After
        - in: query
          name: first
          required: false
          schema:
            default: 100
            maximum: 200
            minimum: 1
            title: First
            type: integer
        - description: これらの組織の検出結果に絞り込みます。
          in: query
          name: org_ids
          required: false
          schema:
            anyOf:
              - items:
                  type: string
                type: array
              - type: 'null'
            description: これらの組織の検出結果に絞り込みます。
            title: Org Ids
        - description: このスキャンで生成された検出結果に絞り込みます。
          in: query
          name: scan_id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: このスキャンで生成された検出結果に絞り込みます。
            title: Scan Id
        - description: このリポジトリで報告された検出結果に絞り込みます。
          in: query
          name: repo_name
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: このリポジトリで報告された検出結果に絞り込みます。
            title: Repo Name
        - description: これらの重大度（critical、high、medium、low）のいずれかに該当する検出結果に絞り込みます。
          in: query
          name: severity
          required: false
          schema:
            anyOf:
              - items:
                  enum:
                    - critical
                    - high
                    - medium
                    - low
                  type: string
                type: array
              - type: 'null'
            description: これらの重大度（critical、high、medium、low）のいずれかに該当する検出結果に絞り込みます。
            title: Severity
        - description: これらのステータス（open、dismissed、resolved）のいずれかに該当する検出結果に絞り込みます。
          in: query
          name: status
          required: false
          schema:
            anyOf:
              - items:
                  enum:
                    - open
                    - dismissed
                    - resolved
                  type: string
                type: array
              - type: 'null'
            description: これらのステータス（open、dismissed、resolved）のいずれかに該当する検出結果に絞り込みます。
            title: Status
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_CodeScanFindingResponse_
          description: 成功レスポンス
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: バリデーションエラー
components:
  schemas:
    PaginatedResponse_CodeScanFindingResponse_:
      properties:
        end_cursor:
          anyOf:
            - type: string
            - type: 'null'
          description: 次のページを取得するためのカーソル。これが最後のページの場合は None。
          title: End Cursor
        has_next_page:
          default: false
          description: このページの後に、さらに利用可能なアイテムがあるかどうか。
          title: Has Next Page
          type: boolean
        items:
          items:
            $ref: '#/components/schemas/CodeScanFindingResponse'
          title: Items
          type: array
        total:
          anyOf:
            - type: integer
            - type: 'null'
          description: 任意の合計件数（パフォーマンスのため省略される場合があります）。
          title: Total
      required:
        - items
      title: PaginatedResponse[CodeScanFindingResponse]
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    CodeScanFindingResponse:
      description: 単一のコードスキャン検出結果。
      properties:
        category:
          anyOf:
            - type: string
            - type: 'null'
          description: 該当する場合、検出結果が分類されたカテゴリ（ルール名）。
          title: Category
        code_owners:
          description: 影響を受けたコードに関連付けられたコードオーナー。
          items:
            type: string
          title: Code Owners
          type: array
        created_at:
          description: 検出結果が作成された日時（Unix秒）。
          title: Created At
          type: integer
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: 該当する場合、脆弱性の詳細な説明。
          title: Description
        finding_id:
          description: 検出結果の一意の識別子。
          title: Finding Id
          type: string
        note:
          anyOf:
            - type: string
            - type: 'null'
          description: 該当する場合、検出結果に添付された追加の注記。
          title: Note
        orchestrator_session_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 該当する場合、この検出結果を生成したスキャンを実行した Orchestrator セッション（そのスキャンの Devin セッション）。
          title: Orchestrator Session Id
        pr_url:
          anyOf:
            - type: string
            - type: 'null'
          description: 該当する場合、この検出結果に対して作成された修復用PRのURL。
          title: Pr Url
        recommendation:
          anyOf:
            - type: string
            - type: 'null'
          description: 該当する場合、検出結果に対する推奨される修復方法。
          title: Recommendation
        reference_snippets:
          description: 裏付けとなる証拠として検出結果から参照されるコードスニペット。
          items:
            $ref: '#/components/schemas/CodeScanReferenceSnippetResponse'
          title: Reference Snippets
          type: array
        repo_name:
          description: 検出結果が報告されたリポジトリ。
          title: Repo Name
          type: string
        scan_id:
          description: この検出結果を生成したスキャンの識別子。
          title: Scan Id
          type: string
        session_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 該当する場合、検出結果を修復したセッション（およびPRを作成したセッション）。
          title: Session Id
        severity:
          description: '検出結果の重大度: critical、high、medium、low のいずれか。'
          enum:
            - critical
            - high
            - medium
            - low
          title: Severity
          type: string
        status:
          description: '検出結果のステータス: open、dismissed、resolved のいずれか。'
          enum:
            - open
            - dismissed
            - resolved
          title: Status
          type: string
        title:
          anyOf:
            - type: string
            - type: 'null'
          description: 該当する場合、検出結果のタイトル。
          title: Title
      required:
        - finding_id
        - title
        - description
        - recommendation
        - note
        - code_owners
        - reference_snippets
        - severity
        - category
        - repo_name
        - pr_url
        - scan_id
        - session_id
        - orchestrator_session_id
        - status
        - created_at
      title: CodeScanFindingResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    CodeScanReferenceSnippetResponse:
      description: 検出結果の裏付けとして参照されるコードスニペット。
      properties:
        code:
          anyOf:
            - type: string
            - type: 'null'
          description: 取得されている場合は、参照先のソースコード。
          title: Code
        commentary:
          description: このスニペットが検出結果に関連している理由の説明。
          title: Commentary
          type: string
        end_line:
          description: 参照範囲の最終行。
          title: End Line
          type: integer
        file_path:
          description: 参照先ファイルのパス。
          title: File Path
          type: string
        start_line:
          description: 参照範囲の先頭行。
          title: Start Line
          type: integer
      required:
        - file_path
        - start_line
        - end_line
        - commentary
      title: CodeScanReferenceSnippetResponse
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````